## com.baidubce.services.moladb.model
Class QueryResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.moladb.model.QueryResponse

    public class QueryResponse

extends AbstractBceResponse

Represents the output of a Query operation.

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`QueryResponse()` Constructs a new QueryResponse object.

Method Summary
`List<Map<String,AttributeValue>>` `getItems()` Get the list of result items from this query operation.
`Key` `getLastEvaluatedKey()` Get the LastEvaluatedKey for this query operation, and for next time's request, you can get next page of items from the LastEvaluatedKey.
`void` `setItems(List<Map<String,AttributeValue>> items)` Set the list of result items from this query operation.
`void` `setLastEvaluatedKey(Key lastKey)` Set the LastEvaluatedKey for this query operation, and for next time's request, you can get next page of items from the LastEvaluatedKey.

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryResponse

    public QueryResponse()

  Constructs a new QueryResponse object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Method Detail

### setLastEvaluatedKey

    public void setLastEvaluatedKey(Key lastKey)

  Set the LastEvaluatedKey for this query operation, and for next time's request, you can get next page of items from the LastEvaluatedKey.

  Parameters:
    `lastKey` - The LastEvaluatedKey for this query operation, and for next time's request, you can get next page of items from the LastEvaluatedKey.

### setItems

    public void setItems(List<Map<String,AttributeValue>> items)

  Set the list of result items from this query operation.

  Parameters:
    `item` - A list of result items from this query operation.

### getLastEvaluatedKey

    public Key getLastEvaluatedKey()

  Get the LastEvaluatedKey for this query operation, and for next time's request, you can get next page of items from the LastEvaluatedKey.

  Returns:
    The LastEvaluatedKey for this query operation, and for next time's request, you can get next page of items from the LastEvaluatedKey.
  See Also:
    `Key`

### getItems

    public List<Map<String,AttributeValue>> getItems()

  Get the list of result items from this query operation.

  Returns:
    A list of result items from this query operation.

Copyright © 2016. All rights reserved.